#!/bin/bash

#PBS -l walltime=04:00:00
#PBS -l select=1:ncpus=1:mem=3900mb
#PBS -l place=free:shared

if [[ -z $PBS_O_WORKDIR ]] 
     then cdir=$(dirname "$0")
     else cdir=$PBS_O_WORKDIR
fi
. "$cdir"/common
cdir=$(normalpath "$cdir")

pn=$0
prog=$(basename "$pn")
comline="$cdir/$prog $*"

if [[ $PBS_ARRAY_INDEX -gt 0 ]] 
then
    idx=$PBS_ARRAY_INDEX
    wd=$PBS_O_WORKDIR
else
    idx=$1
    wd=$PWD
fi

bd=$(normalpath $cdir/..)
fl=$bd/etc/filelist.csv

mkdir -p $bd/pincram
mkdir -p $bd/icv

fn=$(head -n $idx $fl | tail -n 1)

test -e $bd/pincram/$fn && fatal "Output file $bd/pincram/$fn exists"

time $HOME/software/pincram/pincram/pincram.sh $bd/n4/$fn -tpn $bd/posnorm-pre/$(basename $fn .nii.gz).dof.gz -result $bd/pincram/$fn -altresult $bd/icv/$fn -workdir $bd/pincram -atlas $HOME/software/atlases/combined-n162/atlas-best.csv -levels 3 -atlasn 88 
