#!/bin/bash

# reo, originfix, bias, subsample

#PBS -l walltime=01:00:00
#PBS -l select=1:ncpus=1:mem=3900mb
#PBS -l place=free:shared

if [[ -z $PBS_O_WORKDIR ]] 
     then cdir=$(dirname "$0")
     else cdir=$PBS_O_WORKDIR
fi
. "$cdir"/common
cdir=$(normalpath "$cdir")

pn=$0
prog=$(basename "$pn")
comline="$cdir/$prog $*"

if [[ $PBS_ARRAY_INDEX -gt 0 ]] 
then
    idx=$PBS_ARRAY_INDEX
    wd=$PBS_O_WORKDIR
else
    idx=$1
    wd=$PWD
fi

td=$(tempdir)
cd $td

bd=$(normalpath $cdir/../)
fl=$bd/etc/filelist.csv

fn=$(head -n $idx $fl | tail -n 1)

msg $fn
imcp $bd/n4/$fn current
imcp $bd/pincram/$fn mask

mkdir -p $bd/posnorm
/home/rh17/software/posnorm/posnorm.sh current.nii.gz mask.nii.gz $bd/posnorm/$(basename $fn .nii.gz).dof.gz
