#!/bin/bash

#PBS -l walltime=01:00:00
#PBS -l select=1:ncpus=1:mem=3900mb
#PBS -l place=free:shared

if [[ -z $PBS_O_WORKDIR ]] 
     then cdir=$(dirname "$0")
     else cdir=$PBS_O_WORKDIR
fi
. "$cdir"/common
cdir=$(normalpath "$cdir")

pn=$0
prog=$(basename "$pn")
comline="$cdir/$prog $*"

if [[ $PBS_ARRAY_INDEX -gt 0 ]] 
then
    idx=$PBS_ARRAY_INDEX
    wd=$PBS_O_WORKDIR
else
    idx=$1
    wd=$PWD
fi

td=$(tempdir)
cd $td

bd=$(normalpath $cdir/..)
fl=$bd/etc/filelist.csv

mkdir -p $bd/tc3 $bd/tc3crisp $bd/onepad

fn=$(head -n $idx $fl | tail -n 1)

imcp $bd/n4/$fn current
imcp $bd/pincram/$fn mask

mkdir -p $bd/posnorm
/home/rolf/software/posnorm/posnorm.sh current.nii.gz mask.nii.gz $bd/posnorm/$(basename $fn .nii.gz).dof.gz

fslmaths $bd/n4/$fn -mas $bd/pincram/$fn brain
fast -g -N -o fast brain
imcp fast_pveseg $bd/tc3crisp/$fn

dilation mask.nii.gz dilmask.nii.gz -iterations 3 
fslmaths dilmask -add brain $bd/onepad/$fn 

fslmaths fast_pve_0 -mul 254 csf
fslmaths fast_pve_1 -mul 255 gm
fslmaths fast_pve_2 -mul 255 wm
fslmaths fast_pveseg -bin maskbin
dilation maskbin.nii.gz maskdil.nii.gz -iterations 6
fslmaths csf -add maskdil csfpadded
fslmerge -t merged csfpadded gm wm
resample merged.nii.gz $bd/tc3/$fn -size 2 2 2



